summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Kelly <pioto@gentoo.org>2006-09-20 14:59:41 +0000
committerMike Kelly <pioto@gentoo.org>2006-09-20 14:59:41 +0000
commita367c95072d933d0eb222c515aee6c177457e573 (patch)
tree471f039fad914090fa016cdb4d8526f39c723fb5 /eclass/vim.eclass
parentadding a patch to support the i915 chipset (diff)
downloadgentoo-2-a367c95072d933d0eb222c515aee6c177457e573.tar.gz
gentoo-2-a367c95072d933d0eb222c515aee6c177457e573.tar.bz2
gentoo-2-a367c95072d933d0eb222c515aee6c177457e573.zip
Add support for using eselect vi update for handling the /usr/bin/vi symlink in versions >=7.0.109. This should allow us to no longer block app-editors/nvi, for example.
Diffstat (limited to 'eclass/vim.eclass')
-rw-r--r--eclass/vim.eclass16
1 files changed, 14 insertions, 2 deletions
diff --git a/eclass/vim.eclass b/eclass/vim.eclass
index 36b5bd0922e6..028fc87f0916 100644
--- a/eclass/vim.eclass
+++ b/eclass/vim.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.150 2006/09/12 18:43:27 pioto Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.151 2006/09/20 14:59:41 pioto Exp $
# Authors:
# Ryan Phillips <rphillips@gentoo.org>
@@ -124,6 +124,11 @@ if [[ $(get_major_version ) -ge 7 ]] ; then
fi
fi
+# eselect-vi support
+if version_is_at_least 7.0.109 ; then
+ DEPEND="${DEPEND} app-admin/eselect-vi"
+fi
+
HOMEPAGE="http://www.vim.org/"
SLOT="0"
LICENSE="vim"
@@ -603,7 +608,14 @@ vim_src_install() {
# but they might be good for gvim as well (see bug 45828)
update_vim_symlinks() {
local f syms
- syms="vi vimdiff rvim ex view rview"
+ if ! version_is_at_least 7.0.109 ; then
+ syms="vi vimdiff rvim ex view rview"
+ else
+ # Use eselect vi instead.
+ syms="vimdiff rvim ex view rview"
+ einfo "Calling eselect vi update..."
+ eselect vi update
+ fi
# Make or remove convenience symlink, vim -> gvim
if [[ -f ${ROOT}/usr/bin/gvim ]]; then